Debian Bug report logs - #335488
RM: zope -- RoM; superseded by zope2.7, zope2.8

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Fabio Tranchitella <kobold@debian.org>

Date: Mon, 24 Oct 2005 09:03:27 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, qa-debian@lists.debian.org, pkg-zope-developers@lists.alioth.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Fabio Tranchitella <kobold@debian.org>:
New Bug report received and forwarded. Copy sent to qa-debian@lists.debian.org, pkg-zope-developers@lists.alioth.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabio Tranchitella <kobold@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Removal request for old zope packages
Date: Mon, 24 Oct 2005 11:01:32 +0200
Package: ftp.debian.org
Severity: normal

The following source packages should be removed from unstable, since they
are old versions of Zope server and Zope products and have been superseded
by new versions:

  zope (superseded by zope2.7, zope2.8)
  zopectl (useless package without zope)
  zope-cmf (superseded by zope-cmf1.4 and zope-cmf1.5)

The following source packages, instead, have been orphaned by the respective
maintainers and nobody is taking care of them. They all depends on zope (= 2.6),
which we are going to remove and are old versions with no upload in the last year
and half, so they can be removed too.

  zope-backtalk (orphaned package, nobody interested in it, last upload on 2004-02-24)
  zope-callprofiler (orphaned package, nobody interested in it, last upload on 2004-02-24)
  zope-cmfldap (orphaned package, nobody interested in it, last upload on 2003-09-22)
  zope-cmfpgforum (orphaned package, nobody interested in it, last upload on 2004-02-24)
  zope-dtmlcalendar (orphaned package, nobody interested in it, last upload on 2004-02-24)
  zope-emarket (orphaned package, nobody interested in it, last upload on 2003-09-25)
  zope-kinterbasdbda (orphaned package, nobody interested in it, last upload on 2004-02-24)
  zope-ldap (orphaned package, nobody interested in it, last upload on 2003-10-29)
  zope-ldapuserfolder (orphaned package, nobody interested in it, last upload on 2003-09-25)
  zope-lockablefolder (orphaned package, nobody interested in it, last upload on 2004-02-24)
  zope-mysqlda (orphaned package, nobody interested in it, last upload on 2004-01-21)
  zope-parsedxml (orphaned package, nobody interested in it, last upload on 2003-09-25)
  zope-xmlmethods (orphaned package, nobody interested in it, last upload on more than two years ago)
  zope-znavigator (orphaned package, nobody interested in it, last upload on 2003-09-25)
  zope-zpatterns (orphaned package, nobody interested in i, last upload on 2003-09-25)

-- System Information:
Debian Release: testing/unstable
  APT prefers experimental
  APT policy: (500, 'experimental'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686-smp
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to it_IT@euro)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 335488@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 335488@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#335488: Removal request for old zope packages
Date: Fri, 28 Oct 2005 04:04:37 +0200
retitle 335488 RM: zope -- RoM; superseded by zope2.7, zope2.8
thanks

Fabio Tranchitella <kobold@debian.org> writes:

[...]
> The following source packages, instead, have been orphaned by the respective
> maintainers and nobody is taking care of them. They all depends on zope (= 2.6),
> which we are going to remove and are old versions with no upload in the last year
> and half, so they can be removed too.
[...]

This applies to one more package:

  zope-cmfworkflow (orphaned package, nobody interested in it, last non-QA upload on 2003-09-17)

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 335488@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Fabio Tranchitella <kobold@debian.org>, 335488@bugs.debian.org, pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Removal request for old zope packages
Date: Sun, 20 Nov 2005 18:56:31 +0100
On Mon, Oct 24, 2005 at 11:01:32AM +0200, Fabio Tranchitella wrote:
> Package: ftp.debian.org
> Severity: normal
> 
> The following source packages should be removed from unstable, since they
> are old versions of Zope server and Zope products and have been superseded
> by new versions:
> 
>   zope (superseded by zope2.7, zope2.8)
>   zopectl (useless package without zope)
>   zope-cmf (superseded by zope-cmf1.4 and zope-cmf1.5)

Why isn't the canonical zope version simply called 'zope' here? If I'd
remove zope, there will be no 'zope' package anymore for people to install.

How about packaging zope simply as being 'zope', and upon new upstream,
simply fix those modules that break? That'll more cleanly ensure there is
only one version of zope in the archive at the same time. You can then use
experimental for the newer not-yet-released zope version, just like for
example gnome is doing it.

So, in short, I'd really really prefer to have just one single zope
version in Debian, rather than multiple.

> The following source packages, instead, have been orphaned by the respective
> maintainers and nobody is taking care of them. They all depends on zope (= 2.6),
> which we are going to remove and are old versions with no upload in the last year
> and half, so they can be removed too.

That are separate things, and I'd like to have those orphaned bugreports
reassigned to ftp.debian.org so I can deal with them.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Fabio Tranchitella <kobold@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 335488@bugs.debian.org (full text, mbox):

From: Fabio Tranchitella <kobold@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 335488@bugs.debian.org, pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Removal request for old zope packages
Date: Sun, 20 Nov 2005 21:53:37 +0100
[Message part 1 (text/plain, inline)]
On dom, 20 nov 2005, Jeroen van Wolffelaar wrote:
> Why isn't the canonical zope version simply called 'zope' here? If I'd
> remove zope, there will be no 'zope' package anymore for people to install.

Well, in my opinion having no 'zope' package is a good thing: zope
development is focused on two branches (zope2.x and zope3) so at least two
packages will have to coexists. When sarge has been released, zope2.7 was
the 'default' zope version, and now it could probably removed in favour of
zope2.8, but there are *a lot* of differences between them (read: the Five
framework).

Another point is that often there is no upgrade path between zope major
releases (between 2.7 and 2.8, for example), and having separated packages
could be handy in these situations.

So, as zope maintainer and *user* I really would prefer to not have a 
'zope' package but rather install a zopeX one, where X is the release I 
want to use.

> So, in short, I'd really really prefer to have just one single zope
> version in Debian, rather than multiple.

I think this would be a bad thing for zope users and developers.

> That are separate things, and I'd like to have those orphaned bugreports
> reassigned to ftp.debian.org so I can deal with them.

I'll reassign them to ftp.debian.org.

Thanks,

-- 
Fabio Tranchitella <kobold@debian.org>                        .''`.
Proud Debian GNU/Linux developer, admin and user.            : :'  :
                                                             `. `'`
   http://people.debian.org/~kobold/                           `-
_____________________________________________________________________
1024D/7F961564, fpr 5465 6E69 E559 6466 BF3D 9F01 2BF8 EE2B 7F96 1564
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #29 received at 335488@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, 335488@bugs.debian.org, pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Bug#335488: Removal request for old zope packages
Date: Mon, 21 Nov 2005 00:40:23 +0100
On Sun, Nov 20, 2005 at 09:53:37PM +0100, Fabio Tranchitella wrote:
> On dom, 20 nov 2005, Jeroen van Wolffelaar wrote:
> > Why isn't the canonical zope version simply called 'zope' here? If I'd
> > remove zope, there will be no 'zope' package anymore for people to install.
> 
> Well, in my opinion having no 'zope' package is a good thing: zope
> development is focused on two branches (zope2.x and zope3) so at least two
> packages will have to coexists. When sarge has been released, zope2.7 was
> the 'default' zope version, and now it could probably removed in favour of
> zope2.8, but there are *a lot* of differences between them (read: the Five
> framework).

Oh, so there are currently no less than *four* versions of zope in
unstable?

I'd very strongly suggest to make that zope2 and zope3 only, while there
surely can be a lot of difference between minor versions, I do not think
it's a good thing to have multiple minor versions in the archive
simultaneously, especially considering zope2 is apparantly obsolete
already. In case there's a security issue in etch, then all of them need
to be fixed after all, so it saves you as maintainers also some effort.

As with the name, ok, I see.
 
> Another point is that often there is no upgrade path between zope major
> releases (between 2.7 and 2.8, for example), and having separated packages
> could be handy in these situations.
> 
> So, as zope maintainer and *user* I really would prefer to not have a 
> 'zope' package but rather install a zopeX one, where X is the release I 
> want to use.
> 
> > So, in short, I'd really really prefer to have just one single zope
> > version in Debian, rather than multiple.
> 
> I think this would be a bad thing for zope users and developers.

But max two then? Only some really big packages have more than two
versions, and even there it's typically too much (kernel, python, ...).
 
> > That are separate things, and I'd like to have those orphaned bugreports
> > reassigned to ftp.debian.org so I can deal with them.
> 
> I'll reassign them to ftp.debian.org.

Thank's a lot!

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Fabio Tranchitella <kobold@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 335488-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 335488-close@bugs.debian.org
Cc: zope@packages.debian.org, zope@packages.qa.debian.org
Subject: Bug#335488: fixed
Date: Sun, 20 Nov 2005 15:41:27 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      zope |    2.6.4-3 | source
   zope2.6 |    2.6.4-3 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335488@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #39 received at 335488@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 335488@bugs.debian.org, pkg-zope-developers@lists.alioth.debian.org
Subject: Re: [Pkg-zope-developers] Re: Bug#335488: Removal request for old zope packages
Date: Mon, 21 Nov 2005 01:16:40 +0100
Jeroen van Wolffelaar writes:
> On Sun, Nov 20, 2005 at 09:53:37PM +0100, Fabio Tranchitella wrote:
> > On dom, 20 nov 2005, Jeroen van Wolffelaar wrote:
> > > Why isn't the canonical zope version simply called 'zope' here? If I'd
> > > remove zope, there will be no 'zope' package anymore for people to install.
> > 
> > Well, in my opinion having no 'zope' package is a good thing: zope
> > development is focused on two branches (zope2.x and zope3) so at least two
> > packages will have to coexists. When sarge has been released, zope2.7 was
> > the 'default' zope version, and now it could probably removed in favour of
> > zope2.8, but there are *a lot* of differences between them (read: the Five
> > framework).
> 
> Oh, so there are currently no less than *four* versions of zope in
> unstable?

calm down.

> I'd very strongly suggest to make that zope2 and zope3 only, while there
> surely can be a lot of difference between minor versions, I do not think
> it's a good thing to have multiple minor versions in the archive
> simultaneously, especially considering zope2 is apparantly obsolete
> already.

that's rubbish, not an argument. plone doesn't work with zope3.

> In case there's a security issue in etch, then all of them need
> to be fixed after all, so it saves you as maintainers also some effort.
> 
> As with the name, ok, I see.
>  
> > Another point is that often there is no upgrade path between zope major
> > releases (between 2.7 and 2.8, for example), and having separated packages
> > could be handy in these situations.
> > 
> > So, as zope maintainer and *user* I really would prefer to not have a 
> > 'zope' package but rather install a zopeX one, where X is the release I 
> > want to use.
> > 
> > > So, in short, I'd really really prefer to have just one single zope
> > > version in Debian, rather than multiple.
> > 
> > I think this would be a bad thing for zope users and developers.
> 
> But max two then? Only some really big packages have more than two
> versions, and even there it's typically too much (kernel, python, ...).

it should be a goal to have one 2.x and one 3.x version in etch. if
2.x can be avoided, that's ok.

> > > That are separate things, and I'd like to have those orphaned bugreports
> > > reassigned to ftp.debian.org so I can deal with them.
> > 
> > I'll reassign them to ftp.debian.org.
> 
> Thank's a lot!

yeah, thanks a lot for your constructive comments!

  Matthias



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #44 received at 335488@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Matthias Klose <doko@cs.tu-berlin.de>, 335488@bugs.debian.org
Cc: pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Bug#335488: [Pkg-zope-developers] Re: Bug#335488: Removal request for old zope packages
Date: Mon, 21 Nov 2005 02:22:50 +0100
On Mon, Nov 21, 2005 at 01:16:40AM +0100, Matthias Klose wrote:
> Jeroen van Wolffelaar writes:
> > On Sun, Nov 20, 2005 at 09:53:37PM +0100, Fabio Tranchitella wrote:
> > > On dom, 20 nov 2005, Jeroen van Wolffelaar wrote:
> > > > Why isn't the canonical zope version simply called 'zope' here? If I'd
> > > > remove zope, there will be no 'zope' package anymore for people to install.
> > > 
> > > Well, in my opinion having no 'zope' package is a good thing: zope
> > > development is focused on two branches (zope2.x and zope3) so at least two
> > > packages will have to coexists. When sarge has been released, zope2.7 was
> > > the 'default' zope version, and now it could probably removed in favour of
> > > zope2.8, but there are *a lot* of differences between them (read: the Five
> > > framework).
> > 
> > Oh, so there are currently no less than *four* versions of zope in
> > unstable?
> 
> calm down.

Ok :)
 
> > I'd very strongly suggest to make that zope2 and zope3 only, while there
> > surely can be a lot of difference between minor versions, I do not think
> > it's a good thing to have multiple minor versions in the archive
> > simultaneously, especially considering zope2 is apparantly obsolete
> > already.
> 
> that's rubbish, not an argument. plone doesn't work with zope3.

Hence the 'apparantly', I indeed don't know about pro & cons of each
version, which was already quite obvious to myself as I didn't know
about zope3 at all yet. Nor should I per se know this, as I'm not
involved in zope. I'm speaking here as stakeholder for the FTP archive
in general, and also partly for the release team's (and security team's)
express wish to strongly reduce the number of
different-version-same-package occurances in Debian.

Note also that above I didn't suggest to drop zope2 altogether, my
suggestion to go for one zope version was of before I knew there was a
zope3 -- I meant one zope2.x version.

> it should be a goal to have one 2.x and one 3.x version in etch. if
> 2.x can be avoided, that's ok.

Cool, that's great.

> > Thank's a lot!
> 
> yeah, thanks a lot for your constructive comments!

I don't think I can very constructively contribute in my role as FTP
team member to zope packaging, not being involved in zope, I merely
wanted to express my concern about the number of zope packages in the
archive. How to deal with that, is something only people interested in
zope itself can usefully determine.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to mennucc1@debian.org:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #49 received at 335488@bugs.debian.org (full text, mbox):

From: debdev@tonelli.sns.it (A Mennucc)
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 335488@bugs.debian.org, pkg-zope-developers@lists.alioth.debian.org
Subject: Re: [Pkg-zope-developers] Re: Bug#335488: Removal request for old zope packages
Date: Mon, 21 Nov 2005 09:57:00 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov 21, 2005 at 12:40:23AM +0100, Jeroen van Wolffelaar wrote:
> On Sun, Nov 20, 2005 at 09:53:37PM +0100, Fabio Tranchitella wrote:
> > On dom, 20 nov 2005, Jeroen van Wolffelaar wrote:
> > > Why isn't the canonical zope version simply called 'zope' here? If I'd
> > > remove zope, there will be no 'zope' package anymore for people to in..

 zope2.7 has  "Provides: zope"

> 
> Oh, so there are currently no less than *four* versions of zope in
> unstable?

yes (but it will go down to 3 once zope=zope 2.6 is removed)

Too many zope(s)?  That was discussed already. Problem is: there are a
lot of differences between zope2.6, zope2.7 and zope2.8 : you cannot
simply upgrade and hope your portal will continue to work. Some time
ago I had a conversation with people who work in a company building
web services: they worked with zope 2.6 (although 2.7 was around)
since it was OK for them, and they had no plans in switching (at that
time), since it would cost too much time and failures (that their
clients were not willing to pay for!).

So, as long as we can manage to keep them secure and working, I approve
having multiple zopes around.
 
> I'd very strongly suggest to make that zope2 and zope3 only

I would not.

> while there
> surely can be a lot of difference between minor versions, I do not think
> it's a good thing to have multiple minor versions in the archive
> simultaneously, especially considering zope2 is apparantly obsolete
> already. 

We will see what happens by the time etch is released. 

You have to think about people using stable, and people who 
weight stability more than innovation

The main factor that would weight against keeping zope2.7 in etch would be:
- will zope.com provide hotfix for zope2.7 if a bug is found?
or otherwise
- can we backport security fixes to zope2.7 if a problem is found in >>2.7?

Unfortunately (though I swam in zope some time in the past) I admit
I may not be up to the second task

> In case there's a security issue in etch, then all of them need
> to be fixed after all, so it saves you as maintainers also some effort.

again: as long as we mantainers can stand the burden, I see no 
problems in keeping multiple versions (*)
 
> But max two then? Only some really big packages have more than two
> versions, and even there it's typically too much (kernel, python, ...).

(*) indeed Debian will have less kernels around in the future, and 
the reason is that security was not powerful  enough to keep up
with too many of them.

but this is not a big problem for zope : zope hotfixes are easy to
analyze and deploy:  it took me 45 minutes to fix bug 334055 ;
(unfortunately the fix is not part of the security archive yet; I have
queried the security team but nobody answered me for long time, up to
Sun 20th, when joey wrote me that he is taking care of it, so
the fix should be published in the archives in short time)

BTW it seems that the new versioned BTS is not understanding that
334055 was fixed in sid but not in sarge... I now send a "found"
command, and see if this corrects the BTS!

bye 

a.

-- 
Andrea Mennucc
 "Ukn ow,Ifina llyfixe dmysp acebar.ohwh atthef"
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #54 received at 335488@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: mennucc1@debian.org, 335488@bugs.debian.org
Cc: pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Bug#335488: [Pkg-zope-developers] Re: Bug#335488: Removal request for old zope packages
Date: Thu, 24 Nov 2005 18:50:51 +0100
On Mon, Nov 21, 2005 at 09:57:00AM +0100, A Mennucc wrote:
> Too many zope(s)?  That was discussed already. Problem is: there are a
> lot of differences between zope2.6, zope2.7 and zope2.8 : you cannot
> simply upgrade and hope your portal will continue to work. Some time
> ago I had a conversation with people who work in a company building
> web services: they worked with zope 2.6 (although 2.7 was around)
> since it was OK for them, and they had no plans in switching (at that
> time), since it would cost too much time and failures (that their
> clients were not willing to pay for!).

Isn't this *exactly* the usecase for people staying with stable? Debian
has its own release cycle, *exactly because* software during its
development has incompatible changes. Because of Debian releasing and
having branches (stable, testing, unstable), I believe it would be best
if there were not too many versions of the same software around, where
I'd put 'too many' as more than two for complicated software (or
software at the heart of the dependency tree) that went through a major
bump, and 'more than one' for every other piece of software.

For example, we only ship one version of gnome, one version of kde, one
version of perl, and for example: two versions of apache, two versions
of mysql, two versions of PHP. Note that zope certainly isn't the only
piece of software in Debian of which I think there could be a reduction
in the number of simultaneously supported versions, postgresql (4),
python (4) and gcc (5) are three high-profile examples of where I
similarly think redution should be aimed at before etch nears a
releaseable state.

> > I do not think it's a good thing to have multiple minor versions in
> > the archive simultaneously, especially considering zope2 is
> > apparantly obsolete already. 
> 
> We will see what happens by the time etch is released. 

I mailed you guys now because I think that by that time, it is no longer
possible to consider doing anything for etch, and that changes like
discontinuing a branch of software in Debian take time.

Anyway, thank you all for considering this, I'll now shut up, and let
the people who are doing all the work on zope decide about this.

Bye,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Fabio Tranchitella <kobold@kobold.it>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #59 received at 335488@bugs.debian.org (full text, mbox):

From: Fabio Tranchitella <kobold@kobold.it>
To: 335488@bugs.debian.org
Cc: pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Bug#335488: [Pkg-zope-developers] Re: Bug#335488: Removal request for old zope packages
Date: Thu, 24 Nov 2005 21:54:11 +0100
[Message part 1 (text/plain, inline)]
On gio, 24 nov 2005, Jeroen van Wolffelaar wrote:
> I mailed you guys now because I think that by that time, it is no longer
> possible to consider doing anything for etch, and that changes like
> discontinuing a branch of software in Debian take time.
> 
> Anyway, thank you all for considering this, I'll now shut up, and let
> the people who are doing all the work on zope decide about this.

Please, do not shut up.. I'm really interested in your arguments and I
suppose others too. As far as I'm concerned, the main zope products already
depend on zope2.8 | zope2.7 (and I'm thinking about plone and cps), so 
removing the latter one shouldn't be too hard.

I completely agree that we'll have to remove zope2.7, but I would prefer
to leave it around untill the removal is really needed, mainly because there
are a lot of people out using zope2.7 within testing (or even unstable)
because zope products life-cycle is faster than debian stable's one.
Plone will not depend anymore on zope2.7 in a near future (with the next
release, the development team will start using Five, which is shipped with
zope2.8 only), and I think that could be the right moment to drop zope2.7
support. Other opinions?

Thanks for your suggestion,

-- 
Fabio Tranchitella                         http://www.kobold.it
Studio Tranchitella Assoc. Professionale   http://www.tranchitella.it
_____________________________________________________________________
1024D/7F961564, fpr 5465 6E69 E559 6466 BF3D 9F01 2BF8 EE2B 7F96 1564
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#335488; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #64 received at 335488@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 335488@bugs.debian.org, pkg-zope-developers@lists.alioth.debian.org
Subject: Re: Bug#335488: [Pkg-zope-developers] Re: Bug#335488: Removal request for old zope packages
Date: Sun, 27 Nov 2005 03:54:40 +0100
On Thu, Nov 24, 2005 at 09:54:11PM +0100, Fabio Tranchitella wrote:
> On gio, 24 nov 2005, Jeroen van Wolffelaar wrote:
> > I mailed you guys now because I think that by that time, it is no longer
> > possible to consider doing anything for etch, and that changes like
> > discontinuing a branch of software in Debian take time.
> > 
> > Anyway, thank you all for considering this, I'll now shut up, and let
> > the people who are doing all the work on zope decide about this.
> 
> Please, do not shut up.. I'm really interested in your arguments and I
> suppose others too. As far as I'm concerned, the main zope products already
> depend on zope2.8 | zope2.7 (and I'm thinking about plone and cps), so 
> removing the latter one shouldn't be too hard.
> 
> I completely agree that we'll have to remove zope2.7, but I would prefer
> to leave it around untill the removal is really needed, mainly because there
> are a lot of people out using zope2.7 within testing (or even unstable)
> because zope products life-cycle is faster than debian stable's one.
> Plone will not depend anymore on zope2.7 in a near future (with the next
> release, the development team will start using Five, which is shipped with
> zope2.8 only), and I think that could be the right moment to drop zope2.7
> support. Other opinions?

It all depends on the various timelines. One thing to consider is that
newer versions typically don't get as much testing by users as long as
people still have a good reason to use the old version, but as you say,
there's still an important program (plone) depending on zope2.7. In any
case, what you suggest, seems reasonable to me, the quite uninformed
outsider. I don't think I've more useful things to say about this :).

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:24:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:58:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.